Package Details: python3-aur 2016.9-1

Git Clone URL: https://aur.archlinux.org/python3-aur.git (read-only)
Package Base: python3-aur
Description: AUR-related modules and helper utilities (aurploader, aurquery, aurtomatic).
Upstream URL: http://xyne.archlinux.ca/projects/python3-aur
Keywords: arch_linux aur python
Licenses: GPL
Conflicts: aurploader
Provides: aurploader
Replaces: aurploader
Submitter: Xyne
Maintainer: Xyne
Last Packager: Xyne
Votes: 191
Popularity: 1.096020
First Submitted: 2011-07-04 03:22
Last Updated: 2016-09-18 23:44

Latest Comments

Xyne commented on 2016-12-03 20:26

@BryceGuinta
makepkg uses the user's GPG keyring. You need to import my key. It's the same as my TU key on Pacman's GPG keyring.

gpg --recv-keys --keyserver hkp://pgp.mit.edu 1D1F0DC78F173680

See comments in the following thread for details:
https://bbs.archlinux.org/viewtopic.php?id=220274

BryceGuinta commented on 2016-11-27 10:05

@Xyne

This package has an unknown PGP signature. I wanted to try out baurbill however it depends on this package. Any fix?

python3-aur-2016.9.tar.xz ... FAILED (unknown public key 1D1F0DC78F173680)
==> ERROR: One or more PGP signatures could not be verified!

Xyne commented on 2016-07-10 20:56

I have been gradually working on a new backend for a while. It is available for testing here[1]. It is not entirely backwards-compatible so please give it a try now and get ready to migrate your configuration files and scripts. Extension developers are most welcome :D.

Please keep related discussion in the forum thread.

[1] https://bbs.archlinux.org/viewtopic.php?id=214706

skunktrader commented on 2016-04-21 03:38

@Xyne

Thanks very much. Everything working again.

Xyne commented on 2016-04-20 20:50

@ids1024 & jamincollins
The PkgList errors should be fixed with the latest release.

@skunktrader
Paconky has been updated to work with the current version. I plan to release a new version of several modules soon with several changes that will make it easy to replace paconky with a simple yet flexible script. I'll try to remember to announce it here or on the somewhat neglected news feed on my site.

skunktrader commented on 2016-04-20 09:03

Using this package with paconky

Traceback (most recent call last):
File "../conky/paconky.py", line 242, in main
aur = AUR.AUR()
TypeError: 'module' object is not callable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "../conky/paconky.py", line 261, in <module>
main(sys.argv[1])
File "../conky/paconky.py", line 244, in main
except AUR.AURError as e:
AttributeError: module 'AUR' has no attribute 'AURError'

jamincollins commented on 2016-04-19 21:52

Seems like aurpkglist is broken :(

$ yaourt -Q python3-aur
python3-aur 2016.3-1

$ aurpkglist
Traceback (most recent call last):
File "/bin/aurpkglist", line 15, in <module>
'-t', '--time', type=int, default=APL.DEFAULT_TTL,
AttributeError: module 'AUR.PkgList' has no attribute 'DEFAULT_TTL'

ids1024 commented on 2015-10-11 17:11

I'm getting a crash trying to use AUR.PkgList:

>>> import AUR.PkgList
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "/usr/lib/python3.5/site-packages/AUR/PkgList.py", line 28, in <module>
from AUR.common import AUR_URL, RFC_2822_TIME_FORMAT, DEFAULT_TTL
ImportError: cannot import name 'RFC_2822_TIME_FORMAT

magus commented on 2015-10-09 07:48

Very nice Xyne! It all works beautifully again :)

Apes commented on 2015-10-06 21:33

The python3-xcpf dependency that was added today is not available on AUR or the base repos.

All comments